org.flexdock.docking.props

## Interface DockablePropertySet

All Known Implementing Classes:
  BasicDockablePropertySet, RootDockablePropertySet, ScopedDockablePropertySet, ViewProps

    public interface DockablePropertySet

Author:
  Christopher Butler

### Field Summary

Fields
`static java.lang.String` `ACTIVE`
`static java.lang.String` `DESCRIPTION`
`static java.lang.String` `DOCKBAR_ICON`
`static java.lang.String` `DOCKING_ENABLED`
`static java.lang.String` `DRAG_THRESHOLD`
`static java.lang.String` `MOUSE_MOTION_DRAG_BLOCK`
`static java.lang.String` `PREVIEW_SIZE`
`static java.lang.String` `REGION_SIZE_EAST`
`static java.lang.String` `REGION_SIZE_NORTH`
`static java.lang.String` `REGION_SIZE_SOUTH`
`static java.lang.String` `REGION_SIZE_WEST`
`static java.lang.String` `SIBLING_SIZE_EAST`
`static java.lang.String` `SIBLING_SIZE_NORTH`
`static java.lang.String` `SIBLING_SIZE_SOUTH`
`static java.lang.String` `SIBLING_SIZE_WEST`
`static java.lang.String` `TAB_ICON`
`static java.lang.String` `TERRITORY_BLOCKED_CENTER`
`static java.lang.String` `TERRITORY_BLOCKED_EAST`
`static java.lang.String` `TERRITORY_BLOCKED_NORTH`
`static java.lang.String` `TERRITORY_BLOCKED_SOUTH`
`static java.lang.String` `TERRITORY_BLOCKED_WEST`

### Method Summary

Methods
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`java.lang.String` `getDockableDesc()`
`javax.swing.Icon` `getDockbarIcon()`
`java.lang.String` `getDockingId()`
`java.lang.Float` `getDragThreshold()`
`java.lang.Float` `getPreviewSize()`
`java.lang.Float` `getRegionInset(java.lang.String region)`
`java.lang.Float` `getSiblingSize(java.lang.String region)`
`javax.swing.Icon` `getTabIcon()`
`java.lang.Boolean` `isActive()`
`java.lang.Boolean` `isDockingEnabled()`
`java.lang.Boolean` `isMouseMotionListenersBlockedWhileDragging()`
`java.lang.Boolean` `isTerritoryBlocked(java.lang.String region)`
`java.lang.Object` `put(java.lang.Object key, java.lang.Object value)`
`java.lang.Object` `remove(java.lang.Object key)`
`void` `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` `setActive(boolean active)`
`void` `setDockableDesc(java.lang.String desc)`
`void` `setDockbarIcon(javax.swing.Icon icon)`
`void` `setDockingEnabled(boolean enabled)`
`void` `setDragTheshold(float threshold)`
`void` `setMouseMotionListenersBlockedWhileDragging(boolean blocked)`
`void` `setPreviewSize(float size)`
`void` `setRegionInset(java.lang.String region, float inset)`
`void` `setSiblingSize(java.lang.String region, float size)`
`void` `setTabIcon(javax.swing.Icon icon)`
`void` `setTerritoryBlocked(java.lang.String region, boolean blocked)`

### Field Detail

#### DESCRIPTION

    static final java.lang.String DESCRIPTION

See Also:
  Constant Field Values

#### DOCKING_ENABLED

    static final java.lang.String DOCKING_ENABLED

See Also:
  Constant Field Values

#### MOUSE_MOTION_DRAG_BLOCK

    static final java.lang.String MOUSE_MOTION_DRAG_BLOCK

See Also:
  Constant Field Values

#### DRAG_THRESHOLD

    static final java.lang.String DRAG_THRESHOLD

See Also:
  Constant Field Values

#### REGION_SIZE_NORTH

    static final java.lang.String REGION_SIZE_NORTH

See Also:
  Constant Field Values

#### SIBLING_SIZE_NORTH

    static final java.lang.String SIBLING_SIZE_NORTH

See Also:
  Constant Field Values

#### TERRITORY_BLOCKED_NORTH

    static final java.lang.String TERRITORY_BLOCKED_NORTH

See Also:
  Constant Field Values

#### REGION_SIZE_SOUTH

    static final java.lang.String REGION_SIZE_SOUTH

See Also:
  Constant Field Values

#### SIBLING_SIZE_SOUTH

    static final java.lang.String SIBLING_SIZE_SOUTH

See Also:
  Constant Field Values

#### TERRITORY_BLOCKED_SOUTH

    static final java.lang.String TERRITORY_BLOCKED_SOUTH

See Also:
  Constant Field Values

#### REGION_SIZE_EAST

    static final java.lang.String REGION_SIZE_EAST

See Also:
  Constant Field Values

#### SIBLING_SIZE_EAST

    static final java.lang.String SIBLING_SIZE_EAST

See Also:
  Constant Field Values

#### TERRITORY_BLOCKED_EAST

    static final java.lang.String TERRITORY_BLOCKED_EAST

See Also:
  Constant Field Values

#### REGION_SIZE_WEST

    static final java.lang.String REGION_SIZE_WEST

See Also:
  Constant Field Values

#### SIBLING_SIZE_WEST

    static final java.lang.String SIBLING_SIZE_WEST

See Also:
  Constant Field Values

#### TERRITORY_BLOCKED_WEST

    static final java.lang.String TERRITORY_BLOCKED_WEST

See Also:
  Constant Field Values

#### TERRITORY_BLOCKED_CENTER

    static final java.lang.String TERRITORY_BLOCKED_CENTER

See Also:
  Constant Field Values

#### DOCKBAR_ICON

    static final java.lang.String DOCKBAR_ICON

See Also:
  Constant Field Values

#### TAB_ICON

    static final java.lang.String TAB_ICON

See Also:
  Constant Field Values

#### PREVIEW_SIZE

    static final java.lang.String PREVIEW_SIZE

See Also:
  Constant Field Values

#### ACTIVE

    static final java.lang.String ACTIVE

See Also:
  Constant Field Values

### Method Detail

#### getDockableDesc

    java.lang.String getDockableDesc()

#### isDockingEnabled

    java.lang.Boolean isDockingEnabled()

#### isMouseMotionListenersBlockedWhileDragging

    java.lang.Boolean isMouseMotionListenersBlockedWhileDragging()

#### getRegionInset

    java.lang.Float getRegionInset(java.lang.String region)

#### getSiblingSize

    java.lang.Float getSiblingSize(java.lang.String region)

#### isTerritoryBlocked

    java.lang.Boolean isTerritoryBlocked(java.lang.String region)

#### getDragThreshold

    java.lang.Float getDragThreshold()

#### getDockbarIcon

    javax.swing.Icon getDockbarIcon()

#### getTabIcon

    javax.swing.Icon getTabIcon()

#### getPreviewSize

    java.lang.Float getPreviewSize()

#### getDockingId

    java.lang.String getDockingId()

#### isActive

    java.lang.Boolean isActive()

#### setDockableDesc

    void setDockableDesc(java.lang.String desc)

#### setDockingEnabled

    void setDockingEnabled(boolean enabled)

#### setMouseMotionListenersBlockedWhileDragging

    void setMouseMotionListenersBlockedWhileDragging(boolean blocked)

#### setRegionInset

    void setRegionInset(java.lang.String region,
                      float inset)

#### setSiblingSize

    void setSiblingSize(java.lang.String region,
                      float size)

#### setTerritoryBlocked

    void setTerritoryBlocked(java.lang.String region,
                           boolean blocked)

#### setDragTheshold

    void setDragTheshold(float threshold)

#### setDockbarIcon

    void setDockbarIcon(javax.swing.Icon icon)

#### setTabIcon

    void setTabIcon(javax.swing.Icon icon)

#### setPreviewSize

    void setPreviewSize(float size)

#### setActive

    void setActive(boolean active)

#### put

    java.lang.Object put(java.lang.Object key,
                       java.lang.Object value)

#### remove

    java.lang.Object remove(java.lang.Object key)

#### addPropertyChangeListener

    void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

#### removePropertyChangeListener

    void removePropertyChangeListener(java.beans.PropertyChangeListener listener)